/*******************************************************************************

  
  Copyright(c) 1999 - 2006 Intel Corporation. All rights reserved.
  
  This program is free software; you can redistribute it and/or modify it 
  under the terms of the GNU General Public License as published by the Free 
  Software Foundation; either version 2 of the License, or (at your option) 
  any later version.
  
  This program is distributed in the hope that it will be useful, but WITHOUT 
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for 
  more details.
  
  You should have received a copy of the GNU General Public License along with
  this program; if not, write to the Free Software Foundation, Inc., 59 
  Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  
  The full GNU General Public License is included in this distribution in the
  file called LICENSE.
  
  Contact Information:
  Linux NICS <linux.nics@intel.com>
  Intel Corporation, 5200 N.E. Elam Young Parkway, Hillsboro, OR 97124-6497

*******************************************************************************/

/* glue for the OS-dependent part of ethregs */

#ifndef _E1000_OSDEP_H_
#define _E1000_OSDEP_H_

typedef enum {
#undef FALSE
    FALSE = 0,
#undef TRUE
    TRUE = 1
} bool;

typedef u_int8_t	u8;
typedef int8_t		s8;
typedef u_int16_t	u16;
typedef int16_t		s16;
typedef u_int32_t	u32;
typedef int32_t		s32;
typedef u_int64_t	u64;
typedef int64_t		s64;

#endif /* _E1000_OSDEP_H_ */
